Package org.eclipse.net4j.db

## Interface DBUtil.RowHandler

- All Known Subinterfaces:
    `DBUtil.DeserializeRowHandler`, `DBUtil.SerializeRowHandler`
  Enclosing class:
    DBUtil

      public static interface DBUtil.RowHandler

  Call-back interface with a `method` that is called after a number of table rows have been handled by one of the subtypes of this interface.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `done​(boolean successful)` |

- - ### Method Detail

    - #### done

          void done​(boolean successful)
             throws java.sql.SQLException,
                    java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`